Package org.apache.sling.query.impl.selector.parser

## Enum State

- java.lang.Object
- - java.lang.Enum<State>
  - - org.apache.sling.query.impl.selector.parser.State

All Implemented Interfaces:
  `Serializable`, `Comparable<State>`

    public enum State
    extends Enum<State>

### Enum Constant Summary

Enum Constants
`ATTRIBUTE_KEY`
`ATTRIBUTE_OPERATOR`
`ATTRIBUTE_VALUE`
`ESCAPED_NAME`
`IDLE`
`MODIFIER`
`MODIFIER_ARGUMENT`
`NAME`
`START`
`TYPE`
`TYPE_WITH_SLASHES`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `process​(ParserContext context, char c)`
`static State` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START

    public static final State START

#### IDLE

    public static final State IDLE

#### TYPE

    public static final State TYPE

#### TYPE_WITH_SLASHES

    public static final State TYPE_WITH_SLASHES

#### NAME

    public static final State NAME

#### ESCAPED_NAME

    public static final State ESCAPED_NAME

#### ATTRIBUTE_KEY

    public static final State ATTRIBUTE_KEY

#### ATTRIBUTE_OPERATOR

    public static final State ATTRIBUTE_OPERATOR

#### ATTRIBUTE_VALUE

    public static final State ATTRIBUTE_VALUE

#### MODIFIER

    public static final State MODIFIER

#### MODIFIER_ARGUMENT

    public static final State MODIFIER_ARGUMENT

### Method Detail

#### values

    public static State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (State c : State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static State valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### process

    public abstract void process​(ParserContext context,
                                 char c)